import { Router } from "express";
import { Document, Model } from "mongoose";
declare type MongoModel = Model<Document, {}>;
interface RouterParameters {
    readonly mongoModel: MongoModel;
}
/** Create a standard router that supports HTTP verbs using a mongodb model. */
export declare function createStandardMongoDBRouter(router: Router, { mongoModel }: RouterParameters): Router;
export {};
